###log4j config

#logger
#log4j.rootLogger=info, stdout
log4j.logger.send=info, bytes, stdout
log4j.logger.recv=info, bytes, stdout
log4j.logger.com.szpg=debug, stdout

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %-5p [%-4c{1}] %m%n

#byte logger
log4j.appender.bytes=org.apache.log4j.DailyRollingFileAppender
log4j.appender.bytes.file=D\:/deploy/pgdsc/log/bytes.log
log4j.appender.bytes.layout=org.apache.log4j.PatternLayout
log4j.appender.bytes.layout.ConversionPattern=%d %-5p [%-4c{1}] %m%n
log4j.appender.bytes.encoding=UTF-8
log4j.additivity.send=false
log4j.additivity.recv=false

#other logger
log4j.logger.com.mchange=error